- name: Query the Fabric all vlans
  hosts: all
  connection: local
  gather_facts: False
  vars:
    display: False

  tasks:

    - name: Query Fabric all vlans
      include_role:
        name: aci_physical_interfaces
        tasks_from: query_fabric_encap.yml
    
    #- name: Store Fabric all vlans
    #  set_fact:
    #    structured_data_fabric_encap: "{{ structured_data_fabric_encap | default([]) + [{'epg': item_epg, 'encapsulation': item_encap }] }}"
    #  loop: "{{ aci_fabric_encap_result['imdata'] }}"
    #  loop_control:
    #    label: "Fabric all vlans"
    #  vars:
    #    item_encap: "{{ item['vlanCktEp']['attributes']['encap'] }}"
    #    item_epg: "{{ item['vlanCktEp']['attributes']['epgDn'] }}"

    - name: Store Fabric all vlans
      set_fact:
         structured_data_fabric_encap: "{{ aci_fabric_encap_result['imdata'] | fabric_encap_filter() }}"
      when: 
        - aci_fabric_encap_result is defined

    - name: Display Fabric all vlans
      debug:
        msg: "{{ structured_data_fabric_encap }}"
      when:
        - structured_data_fabric_encap is defined
        - display == True

    - name: Create/update the custom field with the response
      include_role:
        name: netbox_configuration
        tasks_from: create_custom_field.yml
      vars:
        uuid: "{{ awx_webhook_payload.data.custom_fields.Query_UUID }}"
        awx_response: "{{ structured_data_fabric_encap }}"
      when:
        - structured_data_fabric_encap is defined
        - awx_webhook_payload.data.custom_fields.Query_UUID is defined